<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{244,134,1022,598}</property>
    <property name="Name">[sngpc_sa.scr]</property>
    <property name="Caption">[Saidas SNGPC]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Verdana" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Private]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.F.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="FromStyle">[Center]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">14215660</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\tela.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.T.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[3 - Maximized]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onDlgInit">
    <![CDATA[parameters oDlg

//skel VARIAVEL zNil = Sngpc_Mnt(d_ob,"CHECASTRU")
//skel VARIAVEL Z_BLOCK = {|x_prd| se_prod->(dbseek(x_prd)), se_prod->pdesc }
//skel VARIAVEL oQbe = NIL
//skel VARIAVEL zSemTrn = "N"
//skel VARIAVEL zErrados = "N"
//skel VARIAVEL zNil = __SetCentury("on")
//skel VARIAVEL zdt_de:=ctod("01."+SubStr(Dtoc(date()),4))
//skel VARIAVEL zdt_ate:=date() 
//skel VARIAVEL zFgNaoFiltrou:=.t.
//skel VARIAVEL zSele = Select()
//skel VARIAVEL zNil = IF(SELECT("SE_PROD")=0, ABRA_ARQ("SE_PROD"),"")
//skel VARIAVEL zNil = DbSelectArea(zSele)
//skel COMANDO SAIDA ZNIL = IF(SELE("SE_PROD")>0, Se_Prod->( DbCloseArea() ),"")

oContextMenu:=Hwg_ContextMenu()
hwg_Btn(oToolbar,5,5,64,64)
hwg_TbMt(oToolbar,'22;Sngpc_Mnt(d_ob, "MOVADD");Ins-Inclui ;Ins-Inclui;cadastrar.ico;;;;;Inclui;;;')
hwg_TbMt(oToolbar,'7;Sngpc_Mnt(d_ob, "MOVDEL");DEL-DELeta ;DEL-Deleta;deletar.ico;;;;;Deleta;;;')
hwg_TbMt(oToolbar,'80;tb_pesq(D_OB);P-Pesquisa ;P-Pesquisa na coluna do cursor;pesquisa.ico;;;;;&P-Pesquisa;;;')
hwg_TbMt(oToolbar,'80;Sngpc_Mnt(d_ob, "FILTRA_SNGPC_SA");F-Filtra;F-Filtra Periodo e Lancamentos;pesquisa.ico;;;;;&F-Filtra;;;')
d_ob:lEditable = .t.
hwg_TbMt(oToolbar,'79;tb_index(D_OB);O-Ordena ;O-Ordena a coluna do cursor;ordenar.ico;;;;;&O-Ordena;;;')
hwg_TbMt(oToolbar,'73;lst_alias(D_OB);I-Imprime ;I-Imprime;impressora.ico;;;;;&I-Imprime;;;')
hwg_Btn(oToolbar,10,544,70,24)
hwg_TbMt(oToolbar,'61;doget(D_ob,,.t.);=-Repete_Edicao ;= - Repete_Edicao;sembitmap;;;Lucida Bright;-11;&=-Repete_Edicao;;6;')
hwg_TbMt(oToolbar,'13;Sngpc_Mnt(d_ob, "MOVUPD");Enter-Altera ;Enter - Altera;sembitmap;;;Lucida Bright;-11;Altera;;6;')
hwg_TbMt(oToolbar,'69;DoGet(d_ob);E-Edita ;E - Edita;sembitmap;;;Lucida Bright;-11;&E-Edita;;6;')
hwg_TbMt(oToolbar,'84;tb_locate(D_OB);T-Trecho ;T-Pesquisa Trecho na coluna do cursor;sembitmap;;;Lucida Bright;-11;&T-Trecho;;6;')
hwg_TbMt(oToolbar,'70;tb_filter(d_ob);F-Filtra ;F-Filtra Cursor;sembitmap;;;Lucida Bright;-11;&F-Filtra;;6;')
hwg_TbMt(oToolbar,'85;Sngpc_UpdateDescricoesSaidasEntradas("SNGPC_SA");U-Atualiza Descricoes;U - Atualiza Descricoes;sembitmap;;;Lucida Bright;-11;&U-Atualiza;;6;')
hwg_TbMt(oToolbar,'32;Sngpc_Mnt(d_ob, "MOVCONCILIA");Barra-Concilia ;Barra - Concilia;sembitmap;;;Lucida Bright;-11;Concilia;;6;')
SetDlgKey(oDlg,8,26,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"UP"))})
SetDlgKey(oDlg,8,28,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"DOWN"))})
Hwg_EndMenu()
]]>
  </method>
  <method name="onPaint">
    <![CDATA[Parameters oCtrl,hDC
oCtrl:bpaint:=NIL
D_oB:setFocus()
IF zFgNaoFiltrou
   zFgNaoFiltrou:=.f.
   Sngpc_Mnt(d_ob, "FILTRA_SNGPC_SA")
ENDIF]]>
  </method>
  <part class="status">
    <style>
      <property name="Geometry">{0,568,1022,30}</property>
      <property name="Name">[oDlgStatusBar]</property>
      <property name="aParts">{608,152,0}</property>
    </style>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{10,82,1000,453}</property>
      <property name="Name">[D_oB]</property>
      <property name="Anchor">15</property>
      <property name="font">
        <font name="Lucida Sans Unicode" width="0" height="-16" weight="400"/>
      </property>
      <property name="GridLinesSepColor">0</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[nBrwAtivo:=1]]>
    </method>
    <method name="onInit">
      <![CDATA[hwg_TbFi(D_oB, 'Conc;Reg_Sel;C;!!;4;;')
hwg_TbFi(D_oB, '*;SngpcFgControl(pCod,.t.,.t.);C;x;1;;')
hwg_TbFi(D_oB, 'Apresentacao;Pdesc;C;@s25;26;N;')
hwg_TbFi(D_oB, 'Quant;MQUANT;N;999999;  6;;')
hwg_TbFi(D_oB, 'Lote;PLOTE;C;@S10; 10;;')
hwg_TbFi(D_oB, 'Trn;if(day(datatrn)>0,"Sim","Nao");C;@s11;3;N;')
hwg_TbFi(D_oB, 'DataVenda;MDATA;D;; 10;;')
hwg_TbFi(D_oB, 'DataReceita;MDATARECEI;D;; 10;;')
hwg_TbFi(D_oB, 'Dt_Transm;DataTrn;D;; 10;;')
hwg_TbFi(D_oB, 'TipReceita;tipRECEITA;N;9; 1;;')
hwg_TbFi(D_oB, 'NumeroReceita;numRECEITA;C;@S10; 10;;')
hwg_TbFi(D_oB, 'CRM;CRM;C;@S10; 10;;')
hwg_TbFi(D_oB, 'Prescritor;medico;C;@!30;30;;')
hwg_TbFi(D_oB, 'CRM_UF;UF;C;xx;  2;;')
hwg_TbFi(D_oB, 'CRM_Conselho;CRM_CRO;C;!!!!; 4;;')
hwg_TbFi(D_oB, 'UsoMed;USOMEDIC;N;9;  1;;')
hwg_TbFi(D_oB, 'Comprador;COMPRADOR;C;@S30; 30;;')
hwg_TbFi(D_oB, 'TpDoc;TIPOID;N;99;2;;')
hwg_TbFi(D_oB, 'Identidade;NUMERODOC;C;@!7; 7;;')
hwg_TbFi(D_oB, 'Orgao;ORGAOEXPED;C;@S10; 10;;')
hwg_TbFi(D_oB, 'Uf;UFEXPED;C;xx;  2;;')
hwg_TbFi(D_oB, 'RegistroMs;PREGMS;C;@S18; 18;;')
hwg_TbFi(D_oB, 'Cod;PCOD;N;999999;  6;;')
hwg_TbFi(D_oB, 'Hora_Trn;horatrn;C;;  8;;')
hwg_TbFi(D_oB, 'COO;fNumCoo;C;;6;;')
hwg_TbFi(D_oB, '')
D_oB:bColorSel:= RGB(3,23,233)
D_oB:tColorSel:= RGB(255,255,255)
D_oB:Alias := alias()
D_oB:lDisableVScrollPos := .t.
D_oB:bKeyDown := {|self, wParam| (aBrowses[nBrwAtivo,2])->(hwg_oDlgKey(self, wparam,1)) , .T. }
D_oB:bOther:={|o,m,wp,lp| MessagesBrowse(o,m,wp,lp)}
D_oB:cargo:={.T.,.T.,"SNGPC_SA",.F.,.T.,{||.T.} }
d_ob:bEdit := {|D_oB| .t.}
sHwgKeyEdit:= 69
AADD(aBrowses,{D_oB,D_oB:Alias,{||.f.},{|| .T.},})]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{567,0,305,47}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">[Saidas SNGPC]</property>
      <property name="Justify">[Right]</property>
      <property name="font">
        <font name="Arial" width="0" height="-37" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">5</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{558,48,104,22}</property>
      <property name="Name">[ozdt_De]</property>
      <property name="varName">[zdt_de]</property>
      <property name="cPicture">[99.99.9999]</property>
      <property name="TabIndex">6</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{747,48,104,22}</property>
      <property name="Name">[ozdt_Ate]</property>
      <property name="varName">[zdt_ate]</property>
      <property name="cPicture">[99.99.9999]</property>
      <property name="TabIndex">6</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{521,48,31,19}</property>
      <property name="Name">[oLabel2]</property>
      <property name="Caption">[De:]</property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">7</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{707,48,31,19}</property>
      <property name="Name">[oLabel3]</property>
      <property name="Caption">[Ate:]</property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">7</property>
    </style>
  </part>
</part>
